---
updatedAt: 2025-11-11T00:27:52.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Airtime Recharge (E-pins)

Quickteller Service v5

> 📘 This service is only available in Nigeria

## E pins (Voucher service)

E-pins also known as voucher service is an airtime recharge service that enables merchants resell airtime to their customers in the form of a 16-20 digit code. Merchants make profit on a transaction basis and by integrating this endpoint, merchants will be able to create and redeem vouchers on any network across Nigeria.

## Process flow

The diagram below breaks the process flow down:

<Image align="center" src="https://files.readme.io/156cd63-826a03b-image.png" />

**Step 1:**

Make a call to [Create Voucher (E pins)](https://docs.interswitchgroup.com/reference/create-voucher-e-pin).

This generates a set of random numbers to be used to recharge.

**Request:**

```
curl https://qa.interswitchng.com/quicktellerservice/api/v5/vouchers/generateVoucher \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json" \
-H "TerminalID: <your_terminal_id>" \
-D '{
    "customerId": "234131670272",
    "amount": "100",
    "type": "GIFT",
    "expiryDate": "2023-06-22"
    "codeConfig": {
    "prefix": "1",
    "suffix":"2",
    "length":5,
    "allowedChar":"12890",
    "pattern":""
    
    }
   
}'
-X POST
```

**Response:**

```
{
TransactionRef: "PBL|Web|3pbl|VOS|020523100514|Y7UYYH3QEG",
RechargePIN:"1220002"
ApprovedAmount: "100",
MiscData:"1220002",
AdditionalInfo:{
1220002:"1220002"
},
ResponseCode: "90000"
ResponseDescription: "Success",
ResponseCodeGrouping: "SUCCESSFUL",
}
```

**Step 2:**

Make a call to [Redeem Voucher (E pins)](https://docs.interswitchgroup.com/reference/redeem-voucher-e-pin).

The  generated numbers in **step 1** above, the phone number to be recharged and the payment code of the provider of the voucher are required for this call.

The voucher can only be redeemed before  the **expiryDate** defined during the [creation of the voucher](https://docs.interswitchgroup.com/reference/create-voucher-e-pin) .

**Request:**

```
curl https://qa.interswitchng.com/quicktellerservice/api/v5/vouchers/redeemVoucher \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json" \
-H "TerminalID: <your_terminal_id>" \
-D '{
    "customerId": "234131670272",
    "customerEmail" :"johndoe@nomail.com",
    "customerMobile" :"2349124888776",
    "paymentCode": "52005",
    "amount": "100",
    "voucherCode":"1220002"
}'
-X POST
```

**Response:**

```
{
transactionRef: "PBL|Web|3pbl|CGM|020523100532|XCMNTTMPXJ",
ApprovedAmount: "100",
AdditionalInfo:{},
responseCode: "90000"
responseDescription: "Success",
responseCodeGrouping: "SUCCESSFUL",
}
```

> 📘 Payment code can be gotten by making a [Get Biller Payment Items](https://docs.interswitchgroup.com/reference/get-biller-payment-item)  call.

If the transaction is successful, the virtual card tied to the partner is debited at redemption. However, if it fails, there will be no debit to the virtual card.

## Response Codes - Create Vouchers

| Response Code | Description                          |
| :------------ | :----------------------------------- |
| VS005         | TYPE\_CANNOT\_BE\_EMPTY              |
| VS007         | UNRECOGNISED\_TYPE                   |
| VS008         | VOUCHER\_TYPE\_NOT ALLOWED           |
| VS009         | INVALID\_START\_DATE                 |
| VS010         | BAD\_START\_DATE\_FORMAT             |
| VS011         | BAD\_EXPIRY\_DATE\_FORMAT            |
| VS012         | GIFT\_OBJECT\_NOT\_SPECIFIED         |
| VS013         | DISCOUNT\_OBJECT\_NOT\_SPECIFIED     |
| VS014         | INVALID\_GIFT\_BALANCE               |
| VS015         | INVALID\_LENGTH                      |
| VS016         | INVALID\_EXPIRY\_DATE                |
| VS017         | INVALID\_REDEEM\_QUANTITY            |
| VS019         | INVALID\_CODE\_CONFIG\_LENGTH        |
| VS021         | NOT\_AUTHORISED\_TO\_REDEEM\_VOUCHER |

## Response Codes - Redeem Vouchers

| Response Code | Description                         |
| :------------ | :---------------------------------- |
| VS001         | VOUCHER\_NOT\_FOUND                 |
| VS002         | REDEMPTION\_QUANTITY\_EXCEEDED      |
| VS003         | VOUCHER\_IS\_USED                   |
| VS004         | REDEMPTION\_AMOUNT\_EXCEEDED        |
| VS006         | UNRECOGNISED\_VOUCHER               |
| VS018         | ACCESS\_DENIED                      |
| VS020         | VOUCHER\_NOT\_STARTED               |
| VS021         | NOT\_AUTHORIZE\_TO\_REDEEM\_VOUCHER |